#
# spec file for package python-stripe
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-stripe
Version:        2.63.0
Release:        1.8
Summary:        Python bindings for the Stripe API
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/stripe/stripe-python
Source:         https://files.pythonhosted.org/packages/source/s/stripe/stripe-%{version}.tar.gz
BuildRequires:  %{python_module pytest >= 6.0}
BuildRequires:  %{python_module pytest-mock >= 2.0}
BuildRequires:  %{python_module requests >= 2.20}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests >= 2.20
Conflicts:      python-stripe-api
BuildArch:      noarch
%python_subpackages

%description
Python bindings for the Stripe API.

%prep
%setup -q -n stripe-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest -rs --nomock

%files %{python_files}
%doc CHANGELOG.md README.md examples/
%license LICENSE
%{python_sitelib}/stripe*

%changelog
* Sat Dec 11 2021 Axel Braun <axel.braun@gmx.de>
- version 2.63.0
  * skip python2
  * API Updates
  * * Add support for new resource ShippingRate
  * * Add support for expire method on resource Checkout.Session
  * * Add support for list_payment_methods method on resource Customer
  * Stop sending raw exception message as part of Stripe user agent.
* Fri Aug 13 2021 Danilo Spinella <danilo.spinella@suse.com>
- Update to v2.60.0
  * Add support for list_computed_upfront_line_items method on resource Quote
  * Add support for new Quote API.
  * Add support for new TaxCode API.
  * Add support for Identity VerificationSession and VerificationReport APIs
  * Add support for the Billing Portal Configuration API
* Sat Feb  6 2021 John Vandenberg <jayvdb@gmail.com>
- Add examples to packaged docs
- Update to v2.55.2
  * Fix CA bundle path
- from v2.55.1
  * Fix issue where StripeObjects in lists would not be converted to dicts
  * Start testing Python 3.9
  * Include the examples in the built sources
* Mon Nov 23 2020 John Vandenberg <jayvdb@gmail.com>
- Activate tests on all platforms
- Update to v2.55
* Thu Aug  6 2020 John Vandenberg <jayvdb@gmail.com>
- Activate tests on x86_64
- Update to v2.50
* Sat Jul 25 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v2.49
* Sun May 17 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v2.48
* Tue Apr  7 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v2.45
* Tue Apr  7 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.23
